Bug 628420 - move none state from checkbox to selector
Summary: move none state from checkbox to selector
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: im-chooser
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-30 01:25 UTC by Jens Petersen
Modified: 2010-12-07 20:15 UTC (History)
2 users (show)

Fixed In Version: im-chooser-1.4.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-26 08:02:56 UTC
Type: ---


Attachments (Terms of Use)
mockup screenshot without a toggle button for None. (19.49 KB, image/png)
2010-10-18 06:36 UTC, Akira TAGOH
no flags Details
Screenshot take 2 (20.53 KB, image/png)
2010-11-24 09:54 UTC, Akira TAGOH
no flags Details

Description Jens Petersen 2010-08-30 01:25:51 UTC
Description of problem:
Now that we have 3 states by default in Fedora (none, ibus and xcompose)
I feel it would be simpler to drop the checkbox and move none
into the selector.

- No input method
- ibus
- X compose

(The order might depend on the defaults;)

Probably need a tooltip (or better an info box?)
with more explanation for each one.

Comment 1 Akira TAGOH 2010-10-18 06:36:39 UTC
Created attachment 454028 [details]
mockup screenshot without a toggle button for None.

This is a screenshot of a mockup after getting rid of the toggle button to turn on/off IM feature.

Comment 2 Jens Petersen 2010-10-26 03:05:54 UTC
Thanks - looks great to me :)

Comment 3 Akira TAGOH 2010-10-26 03:46:28 UTC
Fixed in upstream. will be available in next release.

Comment 4 Akira TAGOH 2010-11-24 09:54:10 UTC
Created attachment 462582 [details]
Screenshot take 2

just moved none at the beginning as per the comment.

Comment 5 Jens Petersen 2010-11-24 13:47:14 UTC
Great thanks!

Comment 6 Akira TAGOH 2010-11-26 08:02:56 UTC
Fixed in im-chooser-1.4.0-1.fc15.

Comment 7 Fedora Update System 2010-11-26 08:26:31 UTC
im-chooser-1.4.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/im-chooser-1.4.0-1.fc14

Comment 8 Fedora Update System 2010-11-26 08:27:20 UTC
im-chooser-1.4.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/im-chooser-1.4.0-1.fc13

Comment 9 Fedora Update System 2010-11-29 21:29:19 UTC
im-chooser-1.4.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-12-07 20:15:30 UTC
im-chooser-1.4.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.